2Dfold.h File Reference
RNA Secondary Structure Prediction » Classified Dynamic Programming » Distance based partitioning of the Secondary Structure Space RNA Secondary Structure Prediction » | Computing Minimum Free Energy (MFE) Structures » Calculating MFE representatives of a Distance Based Partitioning
Include dependency graph for 2Dfold.h:

Go to the source code of this file.

## Data Structures

struct | vrna_sol_TwoD_t
| Solution element returned from vrna_mfe_TwoD() More...
struct | TwoDfold_vars
| Variables compound for 2Dfold MFE folding. More...

## Typedefs

typedef struct vrna_sol_TwoD_t | vrna_sol_TwoD_t
| Solution element returned from vrna_mfe_TwoD() More...
typedef struct TwoDfold_vars | TwoDfold_vars
| Variables compound for 2Dfold MFE folding. More...

## Functions

vrna_sol_TwoD_t * | vrna_mfe_TwoD (vrna_fold_compound_t *vc, int distance1, int distance2)
| Compute MFE's and representative for distance partitioning. More...
char * | vrna_backtrack5_TwoD (vrna_fold_compound_t *vc, int k, int l, unsigned int j)
| Backtrack a minimum free energy structure from a 5' section of specified length. More...
TwoDfold_vars * | get_TwoDfold_variables (const char *seq, const char *structure1, const char *structure2, int circ)
| Get a structure of type TwoDfold_vars prefilled with current global settings. More...
void | destroy_TwoDfold_variables (TwoDfold_vars *our_variables)
| Destroy a TwoDfold_vars datastructure without memory loss. More...
vrna_sol_TwoD_t * | TwoDfoldList (TwoDfold_vars *vars, int distance1, int distance2)
| Compute MFE's and representative for distance partitioning. More...
char * | TwoDfold_backtrack_f5 (unsigned int j, int k, int l, TwoDfold_vars *vars)
| Backtrack a minimum free energy structure from a 5' section of specified length. More...